#include "SDL/SDL.h"
#include "SDL/SDL_image.h"
#include "SDL/SDL_mixer.h"

#include "../functions/surfaces.hpp"
#include "../functions/collision.hpp"

#ifndef APPLE_HPP_
#define APPLE_HPP_

const int AppleNumber = 31;

class apples{

	private:

		Mix_Chunk* CollectSound;

		SDL_Surface* AppleSheet;
		SDL_Rect Coords[ AppleNumber ];
		bool isOut[ AppleNumber ];

	public:

		apples();
		~apples();

		void show( SDL_Surface* & );

		void move( int, int, bool );

		void collect( int& );

		SDL_Surface* getSheet();
		bool* getIsOut();
		SDL_Rect* getCoords();


};

#endif /* APPLE_HPP_ */
